> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw Funds

> Make a withdrawal request.    

**API Key Permissions Required:** `Funds permissions - Withdraw`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/Withdraw
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/Withdraw:
    post:
      tags:
        - Funding
      summary: Withdraw Funds
      description: |
        Make a withdrawal request.    

        **API Key Permissions Required:** `Funds permissions - Withdraw`
      operationId: withdrawFunds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/withdrawal'
      responses:
        '200':
          description: Withdrawal created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/withdrawal-2'
components:
  schemas:
    withdrawal:
      required:
        - nonce
        - asset
        - key
        - amount
      type: object
      properties:
        nonce:
          $ref: '#/components/schemas/nonce'
        asset:
          description: Asset being withdrawn
          type: string
        aclass:
          description: Specify the asset class of the asset being withdrawn
          type: string
          enum:
            - currency
            - tokenized_asset
          default: currency
        key:
          description: Withdrawal key name, as set up on your account
          type: string
        address:
          description: >-
            Optional, crypto address that can be used to confirm address matches
            key (will return `Invalid withdrawal address` error if different)
          type: string
        amount:
          description: Amount to be withdrawn
          type: string
        max_fee:
          description: >-
            Optional, if the processed withdrawal fee is higher than `max_fee`,
            withdrawal will fail with `EFunding:Max fee exceeded`
          type: string
        rebase_multiplier:
          type: string
          enum:
            - rebased
            - base
          default: rebased
          nullable: true
          description: |
            Optional parameter for viewing xstocks data. 
            - `rebased`: Display in terms of underlying equity.
            - `base`: Display in terms of SPV tokens.
      example:
        nonce: 1695828271
        asset: XBT
        key: btc_2709
        amount: '0.725'
        address: bc1kar0ssrr7xf3vy5l6d3lydnwkre5og2zz3f5ldq
    withdrawal-2:
      type: object
      properties:
        result:
          type: object
          properties:
            refid:
              description: Reference ID
              type: string
        error:
          $ref: '#/components/schemas/error'
      example:
        error: []
        result:
          refid: FTQcuak-V6Za8qrWnhzTx67yYHz8Tg
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````